FLANG

Public Types | Public Member Functions | List of all members
Fortran::common::CountedReference< A > Class Template Reference

## Public Types
using | type = A

## Public Member Functions
| CountedReference (type *m)
| CountedReference (const CountedReference &c)
| CountedReference (CountedReference &&c)
CountedReference & | operator= (const CountedReference &c)
CountedReference & | operator= (CountedReference &&c)
| operator bool () const
type * | get () const
type & | operator* () const
type * | operator-> () const

The documentation for this class was generated from the following file:

- include/flang/Common/reference-counted.h